Subject: Re: Re: DHCID and the use of MD5 [Re: Last Call:'Resolution ofFQDN Conflicts among DHCP Clients' to Proposed Standard]

From: Ted Lemon <[email-masked]>
Date: Tue, 29 Nov 2005 00:03:03 -0700

On Monday 28 November 2005 23:40, Harald Tveit Alvestrand wrote:
> This means that we will not have a backwards compatibility issue with the
> installed base if we change the format of the record, but *will* have a
> procedural compatibility issue if we don't keep the property of "you can
> know the expected content of the record without fetching it".

Yup.   My only objection to changing the hash algorithm is that it means a rev 
of the document that could cause us to go through another wglc or ietf last 
call (as opposed to editorial changes, which presumably would not).   
Otherwise, while I don't think it makes any difference, it's otherwise fine 
to use SHA-256 instead of MD5.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 29 Nov 2005 08:26:51 +0100

--On tirsdag, november 29, 2005 00:03:03 -0700 Ted Lemon 
<[email-masked]> wrote:

> Yup.   My only objection to changing the hash algorithm is that it means
> a rev  of the document that could cause us to go through another wglc or
> ietf last  call (as opposed to editorial changes, which presumably would
> not).    Otherwise, while I don't think it makes any difference, it's
> otherwise fine  to use SHA-256 instead of MD5.

After reading the docs, I don't think it makes any difference either.

                       Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf